# Uses of Enum Class
org.bukkit.World.Environment

Packages that use World.Environment
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.

## Uses of World.Environment in org.bukkit

Methods in org.bukkit that return World.Environment
Modifier and Type
Method
Description
`World.Environment`
WorldCreator.`environment()`
Gets the environment that will be used to create or load the world
`static @Nullable World.Environment`
World.Environment.`getEnvironment(int id)`
Deprecated.
Magic value
`static World.Environment`
World.Environment.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static World.Environment[]`
World.Environment.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type World.Environment
Modifier and Type
Method
Description
`@NotNull WorldCreator`
WorldCreator.`environment(World.Environment env)`
Sets the environment that will be used to create or load the world

## Uses of World.Environment in org.bukkit.generator

Methods in org.bukkit.generator that return World.Environment
Modifier and Type
Method
Description
`World.Environment`
WorldInfo.`getEnvironment()`
Gets the `World.Environment` type of this world